curl --request POST \
--url https://{host}/prompt/s2s/v1/prompt \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"title": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"id": 123,
"headline": "<string>",
"body": "<string>",
"imageId": 123,
"imageUrl": "<string>",
"approveButtonText": "<string>",
"declineButtonText": "<string>",
"segmentationFileIds": [
123
],
"endDate": "2023-11-07T05:31:56Z",
"validForDays": 123,
"isReadyToDistribute": true,
"metadata": {
"externalConsentIds": [
"<string>"
],
"addLinkToTermsAndConditions": true,
"suggestedStoreSourceIdentifier": "<string>",
"acceptDeepLink": {
"id": "<string>",
"parameters": {}
},
"acceptActionExternalUrl": "<string>",
"declineDeepLink": {
"id": "<string>",
"parameters": {}
},
"declineActionExternalUrl": "<string>",
"audienceIds": [
"<string>"
],
"color": "<string>",
"useWebWrapper": true
},
"source": "<string>",
"analyticsIdentifier": "<string>",
"unifiedCampaignId": "<string>",
"segmentationFileUrls": [
"<string>"
],
"authorId": "<string>",
"authorName": "<string>"
}
'import requests
url = "https://{host}/prompt/s2s/v1/prompt"
payload = {
"title": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"id": 123,
"headline": "<string>",
"body": "<string>",
"imageId": 123,
"imageUrl": "<string>",
"approveButtonText": "<string>",
"declineButtonText": "<string>",
"segmentationFileIds": [123],
"endDate": "2023-11-07T05:31:56Z",
"validForDays": 123,
"isReadyToDistribute": True,
"metadata": {
"externalConsentIds": ["<string>"],
"addLinkToTermsAndConditions": True,
"suggestedStoreSourceIdentifier": "<string>",
"acceptDeepLink": {
"id": "<string>",
"parameters": {}
},
"acceptActionExternalUrl": "<string>",
"declineDeepLink": {
"id": "<string>",
"parameters": {}
},
"declineActionExternalUrl": "<string>",
"audienceIds": ["<string>"],
"color": "<string>",
"useWebWrapper": True
},
"source": "<string>",
"analyticsIdentifier": "<string>",
"unifiedCampaignId": "<string>",
"segmentationFileUrls": ["<string>"],
"authorId": "<string>",
"authorName": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
title: '<string>',
startDate: '2023-11-07T05:31:56Z',
id: 123,
headline: '<string>',
body: JSON.stringify('<string>'),
imageId: 123,
imageUrl: '<string>',
approveButtonText: '<string>',
declineButtonText: '<string>',
segmentationFileIds: [123],
endDate: '2023-11-07T05:31:56Z',
validForDays: 123,
isReadyToDistribute: true,
metadata: {
externalConsentIds: ['<string>'],
addLinkToTermsAndConditions: true,
suggestedStoreSourceIdentifier: '<string>',
acceptDeepLink: {id: '<string>', parameters: {}},
acceptActionExternalUrl: '<string>',
declineDeepLink: {id: '<string>', parameters: {}},
declineActionExternalUrl: '<string>',
audienceIds: ['<string>'],
color: '<string>',
useWebWrapper: true
},
source: '<string>',
analyticsIdentifier: '<string>',
unifiedCampaignId: '<string>',
segmentationFileUrls: ['<string>'],
authorId: '<string>',
authorName: '<string>'
})
};
fetch('https://{host}/prompt/s2s/v1/prompt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Upsert prompt
This endpoint accepts a request payload containing the prompt details.
If the prompt already exists, it will be updated; otherwise, a new prompt will be created.
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
The payload containing the details of the prompt to upsert.
Title of the prompt.
100ThirdPartyConsent, Regular, PreferredStore, PushConsent Start date and time when the prompt becomes active. Required if Prompt.Api.DTO.Requests.Admin.UpsertPromptRequest.IsReadyToDistribute is true.
Internal identifier of the prompt (optional for creation, required for update).
Optional headline displayed for the prompt.
255Optional detailed body content of the prompt.
5000Optional identifier of an image associated with the prompt.
Optional URL of an image to be displayed inside the the prompt.
Text displayed on the approve button for the prompt.
255Text displayed on the decline button for the prompt.
255All, File, ExternalSource, Audience, Customer Optional list of file IDs used for segmentation.
Optional end date and time when the prompt expires.
Optional number of days a member-specific prompt remains valid after allocation.
Indicates whether the prompt is ready to be distributed.
Show child attributes
Show child attributes
Optional source information for the prompt.
300Tracking identifier used for analytics.
300Optional unified campaign identifier.
64Collection of URLs pointing to segmentation files associated with the prompt.
Unique identifier of the author.
255Name of the author.
255Response
Success
Unique identifier of the upserted prompt